Bug 248163 - Review Request: gtk-nodoka-engine - The Nodoka gtk engine
Review Request: gtk-nodoka-engine - The Nodoka gtk engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 248516
  Show dependency treegraph
 
Reported: 2007-07-13 11:31 EDT by Martin Sourada
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-04 07:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2007-07-13 11:31:31 EDT
Spec URL: http://feannatar.hostuju.cz/fedora/files/development/SPECS/gtk-nodoka-engine.spec
SRPM URL: http://feannatar.hostuju.cz/fedora/files/development/SRPMS/gtk-nodoka-engine-0.3.1-1.fc7.src.rpm
Description: This package contains the Nodoka gtk engine as well as Nodoka theme for metacity and gtk.

Note:
Current upstream is me and Daniel Geiger and we currently release it on the fedora wiki (see the spec file for URL). I however consider submitting a request for inclusion in fedorahosted projects. For more info about the Nodoka theme and engine see fedora-art-list archives.
Comment 1 Martin Sourada 2007-07-17 04:36:37 EDT
I've splited the metacity and metatheme into separate package - BZ #248516 and
released new version the engine.

NEW SPEC:
http://feannatar.hostuju.cz/fedora/files/development/SPECS/gtk-nodoka-engine.spec

NEW SRPM:
http://feannatar.hostuju.cz/fedora/files/development/SRPMS/gtk-nodoka-engine-0.3.2.1-1.fc7.src.rpm
Comment 2 Matthias Clasen 2007-07-27 13:08:21 EDT
Some trivia:

- version of spec file and src.rpm don't match

- please use a full src url, if practical

- no need to do the obsoletes/provides dance for something that has not ever
 been in a fedora release.

- please don't --enable-animation. I as the gtk2 maintainer am going to veto
 any theme engine that tries to do that behind the toolkits or apps back.

- need to require gtk2 for the engines directory ownership
Comment 3 Martin Sourada 2007-07-27 14:41:27 EDT
(In reply to comment #2)
> Some trivia:
> 
> - version of spec file and src.rpm don't match
> 
Hm... I see both are 0.3.2.1-1 though Daniel meanwhile updated the src.rpm to
0.5-1. I'll fix the other things in next release and they should match by then.

> - please use a full src url, if practical
> 
As we use wiki currently for upstream I think it's impractical ATM

> - no need to do the obsoletes/provides dance for something that has not ever
>  been in a fedora release.
> 
I'll remove them in next release. They were there because older releases were
differently handled and I provided the rpms for testing to community and so I
added obsoletes/provides for easier upgrade

> - please don't --enable-animation. I as the gtk2 maintainer am going to veto
>  any theme engine that tries to do that behind the toolkits or apps back.
> 
I don't prefer the animation myself so I am OK with that... will remove it in
next release. But on the other side... I noticed the Murrine engine has the
animation enabled as well and the code behind is exactly the same as in Nodoka
engine.

> - need to require gtk2 for the engines directory ownership
I will add it in next release. I missed it.
Comment 5 Matthias Clasen 2007-07-29 23:28:13 EDT
rpmlint is silent on the produced rpm

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec language: ok
spec legible: yes
upstream sources: ok
buildable: ok
excludearch: n/a
build requires: ok
locales: n/a
shared libs: n/a
relocatable: n/a
directory ownership: ok
file list dupes: ok
file permissions: ok
%clean section: ok
macro use: ok
permissible content: ok
doc subpackage: n/a
%doc content: ok
headers: n/a
static libs: n/a
pc files: n/a
shared lib symlinks: n/a
devel package: n/a
libtool archives: ok
gui app: n/a
file ownership: ok
%install: ok
utf8 filenames: ok


Approved.
Comment 6 Martin Sourada 2007-08-03 17:12:23 EDT
New Package CVS Request
=======================
Package Name: gtk-nodoka-engine
Short Description: The Nodoka GTK2 theme rendering engine with its default GTK2
theme
Owners: martin.sourada@seznam.cz
Branches: 
InitialCC: 
Comment 7 Kevin Fenzi 2007-08-04 02:15:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.